{!js::set('objectType', $objectType)}
{!js::set('objectID',   $objectID)}
{!js::set('showDetail',$showDetail)}
{!js::set('hideDetail', $hideDetail)}
{!js::set('messageRefreshUrl', $control->createLink('message', 'comment', "objecType=$objectType&objectID=$objectID"))}
{if(isset($pageCSS))} {!css::internal($pageCSS)} {/if}
{noparse}
<style>
.modal-body {padding-left: 0; padding-right: 0}
.modal-body > hr {display: none}
</style>
{/noparse}
<hr>
<div id='commentsListWrapper' class='panel panel-section'><div id='commentsList'> {* Double div for ajax load. *}
  {if(isset($comments) and $comments)}
    <div class='panel-heading'>
      <div class='title'><i class='icon-comments'></i> {$lang->message->list}</div>
    </div>
    <div class='cards condensed bordered'>
      {foreach($comments as $number => $comment)}
        <div class='card comment'>
          <div class='card-heading'>
            <span class='text-special name'>{$comment->from}</span> &nbsp; <small class='text-muted time'>{!formatTime($comment->date, 'Y/m/d H:m')}</small>
            <div class='actions'>
              {!html::a($control->createLink('message', 'reply', "commentID=$comment->id"), $lang->comment->reply, "data-toggle='modal' data-type='ajax' data-icon='reply' data-title='{{$lang->comment->reply}}'")}
            </div>
          </div>
          <div class='card-content'>{!nl2br($comment->content)}</div>
          {$control->message->getFrontReplies($comment, 'simple')}
        </div>
      {/foreach}
    </div>
    <div class='panel-body'>
      <hr class='space'>
      {$pager->show('justify')}
    </div>
    <hr>
  {/if}
</div></div>

<div class='panel panel-section'>
  <div class='panel-heading'>
    <div class='title'><i class='icon-comment-alt'></i> {$lang->message->post}</div>
  </div>
  <div class='panel-body'>
    {$type = $objectType == 'order' ? 'message' : 'comment'}
    <form method='post' id='commentForm' action="{$control->createLink('message', 'post', "type=$type")}">
      <div class='form-group required'>
        {!html::textarea('content', '', "class='form-control' rows='3' placeholder='{{$lang->message->content}}' required")}
        {!html::hidden('objectType', $objectType)}
        {!html::hidden('objectID', $objectID)}
      </div>
      {if($session->user->account == 'guest')}
        <div class='form-group required'>
          {!html::input('from', '', "class='form-control' placeholder='{{$lang->message->from}}'")}
        </div>
        <div class='form-group'>
          {!html::input('email', '', "class='form-control' placeholder='{{$lang->message->email}}'")}
        </div>
        <div class='form-group'>
          <div class='checkbox'>
            <label><input type='checkbox' name='receiveEmail' value='1' checked /> {$lang->comment->receiveEmail}</label>
          </div>
        </div>
      {else}
        <div class='form-group'>
          <span class='signed-user-info'>
            <i class='icon-user text-muted'></i> <strong>{$session->user->realname}</strong>
            {!html::hidden('from', $session->user->realname)}
            {if($session->user->email != '')}
              <span class='text-muted'>&nbsp;({$session->user->email})</span>
              {!html::hidden('email', $session->user->email)}
            {/if}
          </span>&nbsp;
          <label class='checkbox-inline'><input type='checkbox' name='receiveEmail' value='1' checked /> {$lang->comment->receiveEmail}</label>
        </div>
      {/if}
      {if(zget($config->site, 'captcha', 'auto') == 'open')}
        <div class='form-group captcha-box' id='captchaBox'>{$control->loadModel('guarder')->create4Comment()}</div>
      {else}
        <div class='form-group hide captcha-box'></div>
      {/if}
      <div class='form-group'>
        {!html::submitButton('', 'btn primary')}&nbsp;
        {if($objectType != 'order')}
          <small class="text-important">{$lang->comment->needCheck}</small>
        {/if}
      </div>
    </form>
  </div>
</div>

{include TPL_ROOT . 'common/form.html.php'}
{if(isset($pageJS))} {!js::execute($pageJS)} {/if}
{noparse}
<script>
$(function()
{
    var $commentForm = $('#commentForm'),
        $commentBox = $('#commentBox');

    $.refreshCommentList = function()
    {
        $('#commentsListWrapper').load(v.messageRefreshUrl + ' #commentsList');
        $('#content').val('');
        $commentForm.find('.captcha-box').empty().addClass('hide');
    };

    $commentBox.find('.pager').on('click', 'a', function()
    {
        $commentBox.load($(this).attr('href'));
        return false;
    });

    $commentForm.ajaxform({onSuccess: function(response)
    {
        if(response.result == 'success')
        {
            $('#commentDialog').modal('hide');
            $commentForm.find('#content').val('');
            setTimeout($.refreshCommentList, 200)
        }
        if(response.reason == 'needChecking')
        {
            $commentForm.find('.captcha-box').html(Base64.decode(response.captcha)).removeClass('hide');
        }
    } });
});
</script>
{/noparse}
